/***********************************************************************
MODULE:    Osc
VERSION:   1.06
CONTAINS:  Routines for configuring the clock source on the Philips
           P89LPC935
COPYRIGHT: Embedded Systems Academy, Inc. - www.esacademy.com
LICENSE:   May be freely used in commercial and non-commercial code
           without royalties provided this copyright notice remains
           in this file and unaltered
WARNING:   IF THIS FILE IS REGENERATED BY CODE ARCHITECT ANY CHANGES
           MADE WILL BE LOST. WHERE POSSIBLE USE ONLY CODE ARCHITECT
           TO CHANGE THE CONTENTS OF THIS FILE
GENERATED: On "Mar 20 2007" at "10:16:29" by Code Architect 2.12
***********************************************************************/

// SFR description needs to be included
#include <reg935.h>
#include "osc.h"

/***********************************************************************
DESC:    Initializes the oscillator to generate a CPU clock at
         7.3728 MHz

         Uses on-chip oscillator
RETURNS: Nothing
************************************************************************/
extern void osc_init
  (
  void
  )
{
  // clock divider
  DIVM = 0x00;
  // no clock out on CLKOUT pin
  TRIM &= ~0x40;
  // select high power clock (CPU clock faster than 8MHz)
  AUXR1 &= ~0x80;
} // osc_init
