/***********************************************************************
MODULE:    Timers
VERSION:   1.00
CONTAINS:  Routines for controlling the timers on the Philips
           P89LPC935
COPYRIGHT: Embedded Systems Academy, Inc. - www.esacademy.com
LICENSE:   May be freely used in commercial and non-commercial code
           without royalties provided this copyright notice remains
           in this file and unaltered
WARNING:   IF THIS FILE IS REGENERATED BY CODE ARCHITECT ANY CHANGES
           MADE WILL BE LOST. WHERE POSSIBLE USE ONLY CODE ARCHITECT
           TO CHANGE THE CONTENTS OF THIS FILE
GENERATED: On "Mar 20 2007" at "10:26:18" by Code Architect 2.12
***********************************************************************/

#ifndef _TIMERSH_
#define _TIMERSH_

/***********************************************************************
DESC:    Initializes timers
         Timer 0 generates an interrupt every 10ms
         Timer 1 is not used
RETURNS: Nothing
CAUTION: If interrupts are being used then EA must be set to 1
         after calling this function
************************************************************************/
void timers_init
  (
  void
  );

/***********************************************************************
DESC:    Starts timer 0
RETURNS: Nothing
CAUTION: timers_init must be called first
************************************************************************/
void timers_starttimer0
  (
  void
  );

/***********************************************************************
DESC:    Stops timer 0
RETURNS: Nothing
CAUTION: timers_init must be called first
************************************************************************/
void timers_stoptimer0
  (
  void
  );

#endif // _TIMERSH_
